/* Create a cone and a cylinder
*/
UF_CALL(UF_MODL_create_cyl1(UF_NULLSIGN, origin, height, diam, direction, &cyl_tag));
UF_CALL(UF_MODL_create_cone1(UF_NULLSIGN,origin, height, cone_dia, direction, &cone_tag));
/* Offset faces of the cylinder by 0.1"
*/
UF_CALL(UF_MODL_create_list(&flist));
UF_CALL(UF_MODL_put_list_item(flist,cyl_tag));
UF_CALL(UF_MODL_create_feature_offset(offset, flist, &offset_tag));
UF_CALL(UF_MODL_delete_list(&flist));
/* Get a list of entities that must be mapped. This will be all the faces of the
cylinder that are being used by the offset feature
*/
UF_CALL(UF_MODL_replace_features(&cyl_tag, 1,
&cone_tag, 1,
true,
false,
&replm_map,
&n_replm_map ));作者: my_dear2002 时间: 2008-11-2 18:55
这个例子是有问题的,你单步调试了吗?